package hr.fer.zemris.diplomskiseminar.mmo.gui;

import java.util.List;

import hr.fer.zemris.diplomskiseminar.mmo.algorithms.GenericAlgorithm;
import hr.fer.zemris.diplomskiseminar.mmo.datamodel.Front;

public class Worker implements Runnable{

	private GenericAlgorithm algorithm;
	public List<Front> fronts;
	
	public Worker(GenericAlgorithm algorithm, List<Front> fronts) {
		super();
		this.algorithm = algorithm;
		this.fronts = fronts;
	}

	@Override
	public void run() {
		
		fronts = algorithm.start();
	}

}
